/*
 * Created on Aug 22, 2005
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * History
 * v1.0 - Aug 22, 2005 - Initial Release
 */

/**
 * @author kuwanger
 *
 * The 32x20 screen.  Bleeds column 30 to 31 and 32 in hopes of increasing
 * compressability 
 */

public class ScreenMap {
   	char map[][] = new char[32][20];
   	
   	char [] getScreenChars()
   	{
   		char[] raw = new char[32*20];
   		
   		for (int y = 0; y < 20; y++)
   		{
   			for (int x = 0; x < 32; x++)
   			{
   				raw[y*32+x] = map[x][y];
   			}
   		}
   		
   		return raw;
   	}
	
	void setXY(int x, int y, char c)
	{
		map[x][y] = c;
		if (x == 29)
			map[30][y] = map[31][y] = c;
	}
}
